> ## Documentation Index
> Fetch the complete documentation index at: https://docs.raul.ugps.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Change ticket state

> Operacion: Change ticket state.



## OpenAPI

````yaml /generated/specs/operations.json patch /api/v1/tickets/{id}/state
openapi: 3.0.0
info:
  title: Raul API - Operaciones
  description: Suscripciones, GPS, actividades, visitas y operacion tecnica.
  version: 2.0.0
  contact: {}
servers:
  - url: https://api.raul.ugps.io
    description: Production
security: []
tags: []
paths:
  /api/v1/tickets/{id}/state:
    patch:
      tags:
        - tickets
      summary: Change ticket state
      description: 'Operacion: Change ticket state.'
      operationId: TicketsController_changeState
      parameters:
        - name: id
          required: true
          in: path
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ChangeStateDto'
      responses:
        '200':
          description: State changed
        '404':
          description: Ticket not found
components:
  schemas:
    ChangeStateDto:
      type: object
      properties: {}

````